"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
Object.defineProperty(exports, "__esModule", { value: true });
exports.getApiKeysForm = exports.getCategoriesTagsForm = exports.getSummaryForm = exports.getOrganizationCanonicalUrl = exports.getOrganizationNameBasedUrl = exports.getWebAddressesRows = exports.getPublishGlobalRows = exports.getUrlLoadRows = exports.getHeaderPhotoRows = exports.MAX_RESULT_LENGTH_VALUE = exports.MIN_RESULT_LENGTH_VALUE = exports.STEP_RESULT_LENGTH_VALUE = exports.getMaxResultLengthRows = exports.getTemperatureRows = exports.SolutionForm = exports.getSolutionEntitiesJSONForm = exports.getSolutionSiteJSONForm = exports.getSolutionAppJSONForm = exports.getSolutionAuthForm = exports.getSolutionGeneralForm = void 0;
var general_1 = require("./forms/solution/general");
Object.defineProperty(exports, "getSolutionGeneralForm", { enumerable: true, get: function () { return general_1.getForm; } });
var auth_1 = require("./forms/solution/auth");
Object.defineProperty(exports, "getSolutionAuthForm", { enumerable: true, get: function () { return auth_1.getForm; } });
var app_json_1 = require("./forms/solution/app-json");
Object.defineProperty(exports, "getSolutionAppJSONForm", { enumerable: true, get: function () { return app_json_1.getForm; } });
var site_json_1 = require("./forms/solution/site-json");
Object.defineProperty(exports, "getSolutionSiteJSONForm", { enumerable: true, get: function () { return site_json_1.getForm; } });
var entities_json_1 = require("./forms/solution/entities-json");
Object.defineProperty(exports, "getSolutionEntitiesJSONForm", { enumerable: true, get: function () { return entities_json_1.getForm; } });
var index_1 = require("./forms/solution/index");
Object.defineProperty(exports, "SolutionForm", { enumerable: true, get: function () { return index_1.SolutionForm; } });
var temperature_rows_1 = require("./rows/ai/temperature-rows");
Object.defineProperty(exports, "getTemperatureRows", { enumerable: true, get: function () { return temperature_rows_1.getTemperatureRows; } });
var max_result_length_rows_1 = require("./rows/ai/max-result-length-rows");
Object.defineProperty(exports, "getMaxResultLengthRows", { enumerable: true, get: function () { return max_result_length_rows_1.getMaxResultLengthRows; } });
Object.defineProperty(exports, "STEP_RESULT_LENGTH_VALUE", { enumerable: true, get: function () { return max_result_length_rows_1.STEP_RESULT_LENGTH_VALUE; } });
Object.defineProperty(exports, "MIN_RESULT_LENGTH_VALUE", { enumerable: true, get: function () { return max_result_length_rows_1.MIN_RESULT_LENGTH_VALUE; } });
Object.defineProperty(exports, "MAX_RESULT_LENGTH_VALUE", { enumerable: true, get: function () { return max_result_length_rows_1.MAX_RESULT_LENGTH_VALUE; } });
var header_photo_rows_1 = require("./rows/content/header-photo-rows");
Object.defineProperty(exports, "getHeaderPhotoRows", { enumerable: true, get: function () { return header_photo_rows_1.getHeaderPhotoRows; } });
var url_load_rows_1 = require("./rows/content/url-load-rows");
Object.defineProperty(exports, "getUrlLoadRows", { enumerable: true, get: function () { return url_load_rows_1.getUrlLoadRows; } });
var publish_global_rows_1 = require("./rows/publish-global-rows");
Object.defineProperty(exports, "getPublishGlobalRows", { enumerable: true, get: function () { return publish_global_rows_1.getPublishGlobalRows; } });
var web_addresses_rows_1 = require("./rows/web-addresses-rows");
Object.defineProperty(exports, "getWebAddressesRows", { enumerable: true, get: function () { return web_addresses_rows_1.getWebAddressesRows; } });
Object.defineProperty(exports, "getOrganizationNameBasedUrl", { enumerable: true, get: function () { return web_addresses_rows_1.getOrganizationNameBasedUrl; } });
Object.defineProperty(exports, "getOrganizationCanonicalUrl", { enumerable: true, get: function () { return web_addresses_rows_1.getOrganizationCanonicalUrl; } });
var summary_form_1 = require("./forms/summary-form");
Object.defineProperty(exports, "getSummaryForm", { enumerable: true, get: function () { return summary_form_1.getForm; } });
var categories_tags_form_1 = require("./forms/categories-tags-form");
Object.defineProperty(exports, "getCategoriesTagsForm", { enumerable: true, get: function () { return categories_tags_form_1.getForm; } });
var api_keys_form_1 = require("./forms/api-keys-form");
Object.defineProperty(exports, "getApiKeysForm", { enumerable: true, get: function () { return api_keys_form_1.getForm; } });
//# sourceMappingURL=index.js.map