/// <reference types="react" />
import { TFormCustomProps } from "primeobjects-ui-web-application/build/cjs/components/forms/types";
import { TProcessWebResult, TWebPageProcessSettings } from "primeobjects-helper-util";
export declare const getUrlLoadRows: (props: TFormCustomProps & {
    show?: boolean | undefined;
    name?: string | undefined;
    label?: string | undefined;
    placeholder?: string | undefined;
    processSettings?: TWebPageProcessSettings | undefined;
    alwaysShowLabel?: boolean | undefined;
    onFinishProcess: (result: TProcessWebResult) => void;
}) => (false | {
    style: {
        paddingBottom: string;
    };
    fields: {
        name: string;
        label: string;
        type: string;
        alwaysShowLabel: boolean;
        format: string;
        placeholder: string;
    }[];
    name?: undefined;
    type?: undefined;
    content?: undefined;
} | {
    name: string;
    type: string;
    content: JSX.Element;
    style?: undefined;
    fields?: undefined;
} | {
    fields: {
        name: string;
        content: JSX.Element;
        type: string;
    }[];
    style?: undefined;
    name?: undefined;
    type?: undefined;
    content?: undefined;
})[];
